-- Data for existing plugins we may want to handle in specific ways

import "Equendil.PluginMng.Command";

KnownPlugins = {};

-- Command templates for specific plugins
KnownPlugins.CommandTemplates = {
	BuffBars = { name = "BuffBars", command = "/buffbars options", mode = Command.Mode.LoadOrRun }, 
	CJTome = { name = "CJTome", command = "", mode = Command.Mode.LoadOrRun };
	CTime = { name = "CTime", command = "/CTime toogle", mode = Command.Mode.LoadOrRun },
	IRV = { name = "IRV", command = "/irv show", mode = Command.Mode.LoadOrRun },
	LIP = { name = "LIP", command = "/lip", mode = Command.Mode.LoadAndRun },
	Lotropad = { name = "Lotropad", command = "/lotropad", mode = Command.Mode.LoadOrRun },
	MouseCursorHA = { name = "MouseCursorHA", command = "/mcha", mode = Command.Mode.LoadOrRun };
	PagedSlots = { name = "PagedSlots", command = "/slots toggle", mode = Command.Mode.LoadOrRun },
	Palantir = { name = "Palantir", command = "/palantir options", mode = Command.Mode.LoadOrRun },
	Songbook = { name = "Songbook", command = "/songbook show", mode = Command.Mode.LoadOrRun },
	Travel = { name = "Travel ", command = "/travel toggle", mode = Command.Mode.LoadOrRun },
	TravelRef = { name = "TravelRef", command = "/trw", mode = Command.Mode.LoadAndRun },

	Rainbow = { name = "RainbowChat", command = "/rainbow setup", mode = Command.Mode.LoadAndRun },
	-- IOF = { name = "IOF", command = " -- I've been downgraded to premium during migration, dunno what this is about for now
	-- DailyTasks = { name = "DailyTasks", command = "/dtw", mode = Command.Mode.LoadAndRun }, -- DailyTasks registers the 'dtw' command twice for different commands ...

	-- The following plugins have non default script states, as such they are invisible to bootstrap
	
	-- AltInventory 
	-- CombatAnalysis = { name = "Combat Analysis", command = "/ca show", mode = Command.Mode.LoadOrRun },
	-- Compendium = { name = "Compendium" } ,
	-- MoorMap = { name = "MoorMap", command = "/moormap show", mode = Command.Mode.LoadOrRun },
	-- TonicBars = { name = "TonicBars", command = "/tb", mode = Command.Mode.LoadOrRun },
};