import "Equendil.Utils";
import "Equendil.PluginMng.App";

import "Turbine.UI";
import "Turbine.UI.Lotro";


-- create the application
app = Equendil.PluginMng.App();

-- add a command 
local command = Turbine.ShellCommand();

function command:Execute( command, arguments )
	if arguments == "show" then -- brings up the window
		app:Show( true );
	elseif arguments == "unload" then -- unload everything
		app:Nuke();
	end
end

function command:GetHelp()
	return "Bootstrap\n\nBrings up bootstrap's setup window";
end

function command:GetShortHelp()
	return "Brings up the setup window";
end

Turbine.Shell.AddCommand( "bootstrap", command );
